!+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
! File:  ctglobal.f90
! Global pointers to pass information to snoptB.
!
! 09 Feb 2010: Current version.
!+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

module ctGlobal
  use precision, only : ip, rp
  implicit none

  ! Global problem pointers (set in c3ker)
  integer(ip), pointer :: nY, nU, nP, nC, nPhs, &
                          ytype(:,:), ctype(:,:), objL(:), &
                          nnY(:), nlY(:), nnC(:), nlC(:), neJ(:), neG(:)

  ! Global option pointers (set in sncInit)
  integer(ip), pointer :: iIntf, &
                          iDisc, &
                          iCPrt, &
                          iRefn, &
                          iRefL
  real(rp),    pointer :: refTol

  ! Internal (initialized in sncInit)
  integer(ip)          :: ncOde, &
                          ncAlg

end module ctGlobal
